Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.actions
Class PortletDefinitionAction

    java.lang.Object
      com.bea.portal.tools.portal.actions.PortalControlAction
          com.bea.portal.tools.portal.actions.PortletDefinitionAction

All Implemented Interfaces
  ControlAction

    public class PortletDefinitionAction

extends PortalControlAction

Objects extending this class implement actions to be taken on portal controls. These may be used to specify multiple actions which need to occur in a single transaction by calling the Portal controls' executeActions() method.

Method Summary
`static PortletDefinitionAction` | `copyPortletDefinition(PortletDefinitionControl control, PortletDefinitionId id, String title, String description)` Updates the portlet instance outside the context of a desktop (in a Library) when the action is executed.
`void` | `doAction(ResourceContext context)` Method that actually performs the action on the control.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### copyPortletDefinition

    public static PortletDefinitionAction copyPortletDefinition(PortletDefinitionControl control,
                                                                PortletDefinitionId id,
                                                                String title,
                                                                String description)

  Updates the portlet instance outside the context of a desktop (in a Library) when the action is executed. For Admins editing the primary instance (not placed on any page) use the PortletDefinitionManager.updatePortletDefinition().

  Parameters
    `control` - the control to execute the action on
    `id` - the id of the portlet definition to copy
    `title` - the title for the new portlet definition
    `description` - the description for the new portlet definition

### doAction

    public void doAction(ResourceContext context)
                  throws Exception

  Method that actually performs the action on the control.

  Specified by:
    `doAction` in interface `ControlAction`
  Specified by:
    `doAction` in class `PortalControlAction`
  Throws
    `Exception`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.